package xyz.luxnk.mxmmod.util;

import com.megacrit.cardcrawl.characters.AbstractPlayer;
import com.megacrit.cardcrawl.powers.AbstractPower;

import java.util.Iterator;

public class SpeedUpUtil {

    public static boolean checkSpeed(AbstractPlayer player, int count) {
        Iterator powers = player.powers.iterator();
        while (powers.hasNext()) {
            AbstractPower power = (AbstractPower) powers.next();
            if (power.ID.equals("SpeedUpPower")) {
                if (power.amount >= count) {
                    return true;
                }
                break;
            }
        }
        return false;
    }

}
